%define product ERP5
%define version 5.4.2
%define release 1

%define rpm_prefix erp5
%define zope_home     %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python
%define instance_home  /var/lib/erp5

Summary:   A Zope framework to implement ERP software
Name:      %{rpm_prefix}-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   GPL
Group:     System/Servers
URL:       http://www.erp5.org
Source0:   http://www.erp5.org/dists/release/%{version}/%{product}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildArch: noarch
# poppler and ImageMagick are required by the erp5_pdf_editor Business Template
Requires:  %{rpm_prefix}-zope < 2.9.0, %{rpm_prefix}-Formulator, %{rpm_prefix}-Localizer, %{rpm_prefix}-ZMySQLDDA, %{rpm_prefix}-ZMySQLDA, %{rpm_prefix}-BTreeFolder2, %{rpm_prefix}-CMFMailIn, %{rpm_prefix}-ERP5Catalog, %{rpm_prefix}-ERP5Form, %{rpm_prefix}-ERP5SyncML, %{rpm_prefix}-CMFCategory, %{rpm_prefix}-ERP5Type, python2.4-numeric, python2.4-glpk, python2.4-chardet, %{rpm_prefix}-CMFActivity, %{rpm_prefix}-ERP5Security, %{rpm_prefix}-ERP5OOo, %{rpm_prefix}-ExtFile, %{rpm_prefix}-TimerService, %{rpm_prefix}-FCKeditor, %{rpm_prefix}-MimetypesRegistry, %{rpm_prefix}-PortalTransforms, poppler, imagemagick

#----------------------------------------------------------------------
%description
ERP5 is a Zope framework which allows to implement ERP software.
It includes a Rapid Application Development system and a Universal
Business Model which together allow to model any business process in
very short time.

#----------------------------------------------------------------------
%prep
%setup -q -c
%if %mdkversion >= 200910
sed -i -e 's,/usr/bin/python2.5,/usr/bin/python,' ERP5/bin/genbt5list
%endif

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products
cat > README.urpmi <<EOF

ERP5 need a mysql-max version 5.x.x server to work properly. Because this server
can be installed on another machine, we let you the choice to install it or not.

If you want to let ERP5 working on a standalone machine, please install mysql-max
package and its dependancies.

EOF

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%doc %{product}/VERSION.txt %{product}/README.txt %{product}/INSTALL.txt %{product}/CREDITS.txt  %{product}/GPL.txt %{product}/ZPL.txt README.urpmi
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Sat Apr 25 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.4.2-1nxd2009.0
- version 5.4.2

* Sat Apr 18 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.4.1-1nxd2009.0
- version 5.4.1

* Thu Mar 12 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.4-3nxd2009.0
- use python2.6 for genbt5list script on Mandriva 2009.1

* Thu Mar 12 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.4-2nxd2009.0
- add 'Requires: python2.4-chardet'

* Tue Mar  3 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.4-1nxd2009.0
- version 5.4
- remove 'Requires: python2.4-psyco' because it is optional
- remove 'Requires: erp5-CMFReportTool' because it is now optional
- remove 'Requires: python2.4-ply' that is now required by erp5-ZSQLCatalog

* Tue Nov  4 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.3-1nxd2008.1
- version 5.3

* Thu Oct  9 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.1.2-2nxd2008.1
- remove adding directories, adding symlinks, adding svn_update.sh,
  chmod and chown from post script.

* Mon Oct 06 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.1.2-1nxd2008.1
- version 5.1.2

* Fri Mar 23 2008 Julien Gormotte <julien@nexedi.com> 0.14.18mdv2008.0
- New build from the SVN repository (SVN rev: 20187)

* Fri Feb 29 2008 Julien Gormotte <julien@nexedi.com> 0.14-17mdv2008.0
- Added dependency on python2.4-ply

* Mon Jan  7 2008 Julien Gormotte <julien@nexedi.com> 0.14-16mdv2008.0
- New build from the SVN repository (SVN rev: 18630)

* Thu Nov 22 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.14-15mdv2008.0
- Require poppler instead of xpdf-tools

* Tue Oct  9 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.14-14mdv2007.1
- add dependencies of erp5-MimetypesRegistry and erp5-PortalTransforms

* Wed Aug  8 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.14-13mdv2007.1
- add *.pyc

* Tue Jul  3 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.14-12.2mdv2007.1
- require erp5-zope < 2.9.0 because ERP5 will work on Zope 2.8

* Tue May 29 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.14-12.1mdv2007.1
- use /var/lib/erp5 instead of /var/lib/zope

* Sun May 13 2007 Jean-Paul Smets <jp@nexedi.com> 0.14-12mdv2007.1
- renamed with erp5- prefix and moved to /usr/lib/erp5
- use again noarch (dummy psyco package required on all architectures
  anyway)

* Fri Feb 09 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-11mdv2007.0
- ERP5 is only certified for CMF 1.5.x

* Fri Feb 09 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-10mdv2007.0
- ERP5 is no longer dependant to Photo and CMFPhoto since svn revision r11807

* Tue Jan 23 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-9mdv2007.0
- Fix psyco dependency
- Remove noarch

* Tue Jan 23 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-8mdv2007.0
- ERP5 is based on zope 2.7 branch. No greater version are officially supported.

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-7mdv2007.0
- Add python-psyco requirement on i368-compatible architecture only

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-6mdv2007.0
- Rebuild for Mandriva 2007.0

* Tue Jan 09 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-5mdk
- Requirement is xpdf, not xfs...

* Tue Jan 09 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-4mdk
- Add xfs and ImageMagick as required because of the erp5_pdf_editor Business Template

* Tue Jan 09 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-3mdk
- New build from the SVN repository (SVN rev: 11944; last changed rev: 11939)

* Tue Jan 09 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-2mdk
- New build from the SVN repository (SVN rev: 11944; last changed rev: 11939)

* Mon Jan 08 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-1mdk
- New build from the SVN repository

* Mon Jul 31 2006 Kevin Deldycke <kevin@nexedi.com> 0.13-1mdk
- New build from the SVN repository

* Wed Jun 21 2006 Kevin Deldycke <kevin@nexedi.com> 0.12-3mdk
- New build from the SVN repository
- zope-ERP5Subversion is not required to run ERP5

* Fri May 05 2006 Kevin Deldycke <kevin@nexedi.com> 0.12-2mdk
- New build from the SVN repository

* Tue May 02 2006 Kevin Deldycke <kevin@nexedi.com> 0.12-1mdk
- New build from the SVN repository

* Tue Apr 04 2006 Kevin Deldycke <kevin@nexedi.com> 0.11-9mdk
- New build from the SVN repository

* Mon Feb 06 2006 Kevin Deldycke <kevin@nexedi.com> 0.11-8mdk
- Create /var/lib/zope/tests directory automaticcaly

* Wed Feb 01 2006 Kevin Deldycke <kevin@nexedi.com> 0.11-7mdk
- Give ownership to zope
- New build from the CVS

* Wed Feb 01 2006 Kevin Deldycke <kevin@nexedi.com> 0.11-6mdk
- Give ownership to zope
- New build from the CVS

* Mon Jan 30 2006 Kevin Deldycke <kevin@nexedi.com> 0.11-5mdk
- Correct /var/lib/zope/ ownership and rights

* Mon Jan 30 2006 Kevin Deldycke <kevin@nexedi.com> 0.11-4mdk
- Add missing symlink to InventoryBrain.py

* Mon Jan 30 2006 Kevin Deldycke <kevin@nexedi.com> 0.11-3mdk
- New build from the CVS

* Fri Jan 27 2006 Kevin Deldycke <kevin@nexedi.com> 0.11-2mdk
- New build from the CVS
- Create a bt5 folder in /var/lib/zope

* Thu Jan 26 2006 Kevin Deldycke <kevin@nexedi.com> 0.11-1mdk
- Update to version 0.11
- Put the cvs_update script in the right place

* Wed Jan 25 2006 Kevin Deldycke <kevin@nexedi.com> 0.10-9mdk
- Add README.urpmi in %%doc

* Mon Jan 23 2006 Kevin Deldycke <kevin@nexedi.com> 0.10-8mdk
- Add a README to warn user that ERP5 need a MySQL-Max server to work
- Delete "Requires: MySQL-Max >= 5" statement

* Mon Jan 23 2006 Kevin Deldycke <kevin@nexedi.com> 0.10-7mdk
- ERP5 Zope product also need Timer Service to make Portal Alarm Working

* Mon Jan 23 2006 Kevin Deldycke <kevin@nexedi.com> 0.10-6mdk
- Fix bad symlink

* Thu Jan 19 2006 Kevin Deldycke <kevin@nexedi.com> 0.10-5mdk
- Don't need Translation Service Zope product for ERP5

* Thu Jan 19 2006 Kevin Deldycke <kevin@nexedi.com> 0.10-4mdk
- Add missing custom post-command

* Wed Jan 18 2006 Kevin Deldycke <kevin@nexedi.com> 0.10-3mdk
- Add a version to the required zope package

* Wed Jan 18 2006 Kevin Deldycke <kevin@nexedi.com> 0.10-2mdk
- Add ExtFile Zope Product as required

* Wed Jan 18 2006 Kevin Deldycke <kevin@nexedi.com> 0.10-1mdk
- Update to version 0.10

* Mon Jan 16 2006 Kevin Deldycke <kevin@nexedi.com> 0.9.20060116-1mdk
- New build from the CVS

* Tue Jan 10 2006 Kevin Deldycke <kevin@nexedi.com> 0.9.20060110-1mdk
- New release for Mandriva 2006
- Spec file updated

* Tue Sep 01 2004 Sebastien Robin <seb@nexedi.com> 0.8-1mdk
- New release for Mandrake 10.1

* Tue Jun 15 2004 Sebastien Robin <seb@nexedi.com> 0.1-26mdk
- Fix some sql queries

* Thu Jun 10 2004 Sebastien Robin <seb@nexedi.com> 0.1-25mdk
- New release for Mandrake 10.1

* Mon Nov 03 2003 Sebastien Robin <seb@nexedi.com> 0.1-24mdk
- Added dependencies to python-numeric and gplk

* Mon Sep 08 2003 Sebastien Robin <seb@nexedi.com> 0.1-23mdk
- Changed permissions on files

* Wed Sep 05 2003 Sebastien Robin <seb@nexedi.com> 0.1-22mdk
- Update spec in order to follows Mandrake Rules

* Wed May 21 2003 Sébastien Robin <seb@nexedi.com> 0.1-21nxd
- Added dependencies : python-imaging TranslationService

* Tue May 13 2003 Sébastien Robin <seb@nexedi.com> 0.1-20nxd
- Added dependencies : ERP5Catalog, ERP5Form, CMFCategory, ERP5SyncML...
- We need theses dependencies because ERP5 was splitted in several products

* Wed May 02 2003 Sébastien Robin <seb@nexedi.com> 0.1-19nxd
- Added dependencies : PyXML, python-reportlab
- Remove dependencies : python2.1-xml

* Mon Apr 28 2003 Sébastien Robin <seb@nexedi.com> 0.1-17nxd
- Added a dependency (ZMySQLDA), since ERP5 is only tested
  with mysql actually. May be it should be removed afterwards.

* Wed Apr 25 2003 Sébastien Robin <seb@nexedi.com> 0.1-16nxd
- Clean this spec file in order to not copy local files
- Remove dependencies (zope-zserver)
- Add the directory Constraint

* Wed Mar 5 2003 Jean-Paul Smets <jp@nexedi.com> 0.1-15nxd
- Added missing dependencies (zope-zserver)

* Wed Mar 5 2003 Jean-Paul Smets <jp@nexedi.com> 0.1-14nxd
- Added missing dependencies (CMFReport CMFMailIn)

* Wed Mar 5 2003 Jean-Paul Smets <jp@nexedi.com> 0.1-13nxd
- Added missing dependencies (Base18)

* Tue Feb 25 2003 Jean-Paul Smets <jp@nexedi.com> 0.1-12nxd
- Added props

* Tue Feb 25 2003 Jean-Paul Smets <jp@nexedi.com> 0.1-11nxd
- Added images

* Tue Feb 25 2003 Jean-Paul Smets <jp@nexedi.com> 0.1-10nxd
- Code update

* Thu Feb 13 2003 Jean-Paul Smets <jp@nexedi.com> 0.1-9nxd
- Code update

* Mon Feb 2 2003 Jean-Paul Smets <jp@nexedi.com> 0.1-8nxd
- Added portal.gif

* Mon Feb 2 2003 Jean-Paul Smets <jp@nexedi.com> 0.1-7nxd
- Added Core

* Mon Feb 2 2003 Jean-Paul Smets <jp@nexedi.com> 0.1-6nxd
- Code update + do it again

* Thu Dec 12 2002 Jean-Paul Smets <jp@nexedi.com> 0.1-2nxd
- CVS Updates

* Mon Nov 4 2002 Jean-Paul Smets <jp@nexedi.com> 0.1-1nxd
- Initial release
